Execute prompt-injection evaluator
curl --request POST \
--url https://api.traceloop.com/v2/evaluators/execute/prompt-injection \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"prompt": "What is the weather like today?"
},
"config": {
"threshold": 0.5
}
}
'import requests
url = "https://api.traceloop.com/v2/evaluators/execute/prompt-injection"
payload = {
"input": { "prompt": "What is the weather like today?" },
"config": { "threshold": 0.5 }
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({input: {prompt: 'What is the weather like today?'}, config: {threshold: 0.5}})
};
fetch('https://api.traceloop.com/v2/evaluators/execute/prompt-injection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"has_injection": "safe"
}{
"error": "error message"
}{
"error": "error message"
}Security & Compliance
Execute prompt-injection evaluator
Detect prompt injection attempts
Request Body:
input.prompt(string, required): The prompt to check for injection attemptsconfig.threshold(float, optional): Detection threshold (default: 0.5)
POST
/
v2
/
evaluators
/
execute
/
prompt-injection
Execute prompt-injection evaluator
Was this page helpful?
⌘I

